OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.ShaderBufferLoad

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVShaderBufferLoad :: MonadIO m => m Bool
- gl_NV_shader_buffer_load :: Bool
- pattern GL_BUFFER_GPU_ADDRESS_NV :: GLenum
- pattern GL_GPU_ADDRESS_NV :: GLenum
- pattern GL_MAX_SHADER_BUFFER_ADDRESS_NV :: GLenum
- glGetBufferParameterui64vNV :: MonadIO m => GLenum -> GLenum -> Ptr GLuint64EXT -> m ()
- glGetIntegerui64vNV :: MonadIO m => GLenum -> Ptr GLuint64EXT -> m ()
- glGetNamedBufferParameterui64vNV :: MonadIO m => GLuint -> GLenum -> Ptr GLuint64EXT -> m ()
- glGetUniformui64vNV :: MonadIO m => GLuint -> GLint -> Ptr GLuint64EXT -> m ()
- glIsBufferResidentNV :: MonadIO m => GLenum -> m GLboolean
- glIsNamedBufferResidentNV :: MonadIO m => GLuint -> m GLboolean
- glMakeBufferNonResidentNV :: MonadIO m => GLenum -> m ()
- glMakeBufferResidentNV :: MonadIO m => GLenum -> GLenum -> m ()
- glMakeNamedBufferNonResidentNV :: MonadIO m => GLuint -> m ()
- glMakeNamedBufferResidentNV :: MonadIO m => GLuint -> GLenum -> m ()
- glProgramUniformui64NV :: MonadIO m => GLuint -> GLint -> GLuint64EXT -> m ()
- glProgramUniformui64vNV :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint64EXT -> m ()
- glUniformui64NV :: MonadIO m => GLint -> GLuint64EXT -> m ()
- glUniformui64vNV :: MonadIO m => GLint -> GLsizei -> Ptr GLuint64EXT -> m ()

# Extension Support

glGetNVShaderBufferLoad :: MonadIO m => m Bool Source #

Is the NV_shader_buffer_load extension supported?

gl_NV_shader_buffer_load :: Bool Source #

Is the NV_shader_buffer_load extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVShaderBufferLoad` in those cases instead.

# Enums

pattern GL_BUFFER_GPU_ADDRESS_NV :: GLenum Source #

pattern GL_GPU_ADDRESS_NV :: GLenum Source #

pattern GL_MAX_SHADER_BUFFER_ADDRESS_NV :: GLenum Source #

# Functions

glGetBufferParameterui64vNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLenum | `pname`.
-> Ptr GLuint64EXT | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint64EXT`.
-> m () |

glGetIntegerui64vNV Source #

Arguments

:: MonadIO m |
=> GLenum | `value`.
-> Ptr GLuint64EXT | `result` pointing to `COMPSIZE(value)` elements of type `GLuint64EXT`.
-> m () |

glGetNamedBufferParameterui64vNV Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLenum | `pname` of type VertexBufferObjectParameter.
-> Ptr GLuint64EXT | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint64EXT`.
-> m () |

glGetUniformui64vNV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> Ptr GLuint64EXT | `params` pointing to `COMPSIZE(program,location)` elements of type `GLuint64EXT`.
-> m () |

glIsBufferResidentNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> m GLboolean | of type Boolean.

glIsNamedBufferResidentNV Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> m GLboolean | of type Boolean.

glMakeBufferNonResidentNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> m () |

glMakeBufferResidentNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `access`.
-> m () |

glMakeNamedBufferNonResidentNV Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> m () |

glMakeNamedBufferResidentNV Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLenum | `access`.
-> m () |

glProgramUniformui64NV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLuint64EXT | `value`.
-> m () |

glProgramUniformui64vNV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint64EXT | `value` pointing to `count` elements of type `GLuint64EXT`.
-> m () |

glUniformui64NV Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLuint64EXT | `value`.
-> m () |

glUniformui64vNV Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint64EXT | `value` pointing to `count*1` elements of type `GLuint64EXT`.
-> m () |